Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds.skeleton
Class SkeletonSubscriptionShim

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.skeleton.CommonImpl
          com.novell.nds.dirxml.driver.xds.skeleton.SkeletonSubscriptionShim

All Implemented Interfaces:
  com.novell.nds.dirxml.driver.SubscriptionShim, com.novell.nds.dirxml.driver.XmlCommandProcessor

public class SkeletonSubscriptionShim
extends CommonImpl
implements com.novell.nds.dirxml.driver.SubscriptionShim

A basic skeleton for implementing the `SubscriptionShim`.

The `SubscriptionShim` defines an interface for an application driver to receive commands from the DirXML engine. These commands must be executed in the application on behalf of the DirXML engine.

Method Summary
`com.novell.nds.dirxml.driver.XmlDocument` | `execute(com.novell.nds.dirxml.driver.XmlDocument commandXML, com.novell.nds.dirxml.driver.XmlQueryProcessor processor)` `execute` will execute a command encoded in an XML document.
`com.novell.nds.dirxml.driver.XmlDocument` | `init(com.novell.nds.dirxml.driver.XmlDocument initXML)` `init` will be called before the first invocation of `execute`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public com.novell.nds.dirxml.driver.XmlDocument init(com.novell.nds.dirxml.driver.XmlDocument initXML)

  `init` will be called before the first invocation of `execute`.

  In general, application connectivity should be handled in `execute(XmlDocument, XmlQueryProcessor)` so a driver can start when the application is down.

  Specified by:
    `init` in interface `com.novell.nds.dirxml.driver.SubscriptionShim`
  Parameters:
    `initXML` - XML document that contains the subscriber initialization parameters and state
  Returns:
    an XML document containing status messages for this operation

### execute

    public com.novell.nds.dirxml.driver.XmlDocument execute(com.novell.nds.dirxml.driver.XmlDocument commandXML,
                                                            com.novell.nds.dirxml.driver.XmlQueryProcessor processor)

  `execute` will execute a command encoded in an XML document.

  Specified by:
    `execute` in interface `com.novell.nds.dirxml.driver.SubscriptionShim`
  Parameters:
    `commandXML` - the document that contains the commands
    `processor` - a query processor that can be used to query the directory
  Returns:
    an XML document containing status messages and commands resulting from this operation (e.g., <add-association>, <remove-association>)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD